===============================================================================
        Intel(R) Server Platform Integrated BMC Firmware Release Notes
===============================================================================

INTEL(R) Server Boards and Systems 
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA


===============================================================================
DATE:       24 January 2019


TO:         Intel(R) Server Board S2600XX


SUBJECT:    Integrated BMC(R) firmware 1.90 release notes

===============================================================================
                               LEGAL INFORMATION
===============================================================================
Information in this document is provided in connection with Intel products.
No license, express or implied, by estoppel or otherwise, to any intellectual
property rights is granted by this document. Except as provided in Intel's
Terms and Conditions of Sale for such products, Intel assumes no liability
whatsoever, and Intel disclaims any express or implied warranty, relating to
sale and/or use of Intel products including liability or warranties relating
to fitness for a particular purpose, merchantability, or infringement of any
patent, copyright or other intellectual property right. Intel Corporation may
have patents or pending patent applications, trademarks, copyrights, or other
intellectual property rights that relate to the presented subject matter.
The furnishing of documents and other materials and information does not
provide any license, express or implied, by estoppel or otherwise, to any
such patents, trademarks, copyrights, or other intellectual property rights.
Intel products are not intended for use in medical, life saving, or life
sustaining applications. Intel may make changes to specifications and product
descriptions at any time, without notice.


Intel is a registered trademark of Intel Corporation.


*Other names and brands are the property of their respective owners.


Copyright (c) 2019 Intel Corporation.


A portion of this firmware is open source code.
The OSS source code that the customer is entitled to per OSS license has been
posted on the Intel support website at the following link:

http://downloadcenter.intel.com/Detail_Desc.aspx?agr=Y&DwnldID=21081


This open source code falls under the GPL 2.0 license, please see the license
at the following link:

http://www.opensource.org/licenses/gpl-2.0.php


===============================================================================
                            ABOUT THIS RELEASE PACKAGE
===============================================================================
Source file: Purley_1.90.0cf6e935.bin
Built from git revision: 0cf6e9352dd434d4e1ab96ed344cadb1c47a8cd8

REVISION INFORMATION RETURNED BY GET DEVICE ID COMMAND:
Operational mode:   1.90.0cf6e935

Device ID:          0x22
Manufacturer ID:    0x000157

SHA1 checksum:
    Purley_1.90.0cf6e935.bin: 9dfabfb9ed9984e8c218a931d5c3aa601f0601e5

Embedded firmware files for the following components:
Power Supplies
    1100ADU00201 02: 51.1.1
    1100ADU00201 S2: 30.1.1
    1100ADU00201 S3: 51.1.1
    DPS-1200TB A 00: 77.39.4
    DPS-1200TB A 02: 89.40.6
    DPS-1200TB A S3: 77.39.3
    DPS-460KB A  S3: 31.9.3
    DPS-750AB32A S0: 33.3.3
    DPS-750XB A  S4: 100.39.5
    PSSF132202A  00: 23.5.0
    PSSF132202A  01: 23.5.0
    PSSF132202A  S3: 23.5.0
    PSSF162202A  00: 75.9.0
    PSSF162202A  01: 75.9.0
    PSSF162202A  02: 75.9.0
    PSSF162202A  03: 75.9.0
    PSSF162202A  04: 75.9.0
    PSSF162202A  05: 75.9.0
    PSSF162202A  06: 75.9.0
    PSSF162202A  07: 75.9.0
    PSSF162202A  08: 75.9.0
    PSSF162202A  S3: 55.9.0
    PSSF162205A  S3: 12.4.0
    PSSF212201A  S2: 4.2.0
    PSSF222201A  01: 24.0.0
    PSSF222201A  S1: 9.0.0
    PSSF222201A  S2: 17.0.0
    PSSF222201A  S3: 20.0.0
    PSSF222201A  S4: 33.0.0

Hot Swap Backplane
    V1 HSBP: 1.33
    V2 HSBP: 2.08



Firmware Update Tools: FWPIAUPD_v14_1_Build14

* NOTE  The PSSF222201A 00A or newer identifies itself as a PSSF222201A S4 internally.
Please use that firmware version when referencing that PSU.

*** IMPORTANT *** Cipher Suite 3 is disabled by default since BMC firmware 1.90 and only keep Cipher Suite 17 opened by default.
Due to this the extra parameter "-C 17" is required for ipmitool to work via LAN.
The Cipher Suite 17 was first introduced in ipmitool 1.8.18 on Oct 8th 2016, you have to update ipmitool to this version or newer one, earlier versions of ipmitool don’t have Cipher 17 support
ipmitool is not working well when running in high load network. We recommend to add extra timeout by using “-N 5”. Default is 1 second for RMCP+, which is not enough. –N 5 will set 5 second as timeout.
So the command will look like:
ipmitool –I lanplus –H ip –U user –P password –C 17 –N 5 command
Please refer to the included "TA-1143_Extra_parameters_needed_for_ipmitool.pdf" for more information.

*** IMPORTANT *** Downgrading below 1.43.660a4315 is not supported due to a security revision change. 

-------------------------------------------------------------------------------

===============================================================================
                         IMPORTANT INSTALLATION NOTES
===============================================================================
The following update process must be followed to ensure a trouble free updating
of your baseboard.  The order is important to minimize any issues for status
checking as different components are initialized.
1.  BMC firmware
2.  BIOS/Manageability Engine (ME) firmware (as directed in BIOS Release Notes)
3.  FRU/SDR package specific to the baseboard.
4.  NIC EEPROM

===============================================================================
                            INSTALLATION PROCEDURE
===============================================================================
There are two supported ways to update the BMC firmware.
You may opt to use the Web GUI or the UEFI shell method.

Web GUI update
1. Unzip the package onto your system
2. Log into the BMC web GUI
3. Navigate to Configuration, then Firmware Update
4. Click browse, and direct the browser to the location of Purley_1.90.0cf6e935.bin
5. Click upload.  Progress and status will be shown as the update progresses


UEFI update
1.  Unzip package and load onto a flash drive
2.  Boot to UEFI shell, and navigate to the folder where this package lives
3.  Run fwUpdateBMC.nsh and follow the prompts

===============================================================================
                     FIRMWARE UPGRADE/DOWNGRADE PROCEDURES
===============================================================================
Upgrade of BMC FW from version 1.90 to later versions
will be documented in the release notes for those versions.

Reverting to a lower version of firmware may have unexpected side effects,
including but not limited to user settings reset to defaults, and will always
result in the loss of functionality which was present in the higher version
but was not implemented in the lower version.
We do not guarantee that any downgrade will operate without side-effects.

Downgrading below 1.43.660a4315 is not supported due to a security revision change.

===============================================================================
                        KNOWN ISSUES/WORKAROUNDS/REQUIREMENTS
===============================================================================

    WARNING: This release disables RMCP authentication by default.  ipmitool uses
    RMCP by default, so it will fail to authenticate.  Add the '-I lanplus' parameter
    to all ipmitool commands to use RMCP+ instead.

    WARNING: This release has the BMC PCIe bridge disabled.  This will cause the
    majority of operating systems to fail at boot as they stall during video
    driver initialization
    
    WARNING: When using IPMI to establish a SOL session using KONSOLE:
    A. The "Delete" input cannot be captured when pressing "Backspace" 
       Workaround: Modify the "Backspace" key to "0x08" in the KONSOLE profile keyboard settings.
    B. Resizing a KONSOLE window with an active SOL session can cause the content to overlap 
       Workaround: None. Recommend using the Java SOL Viewer instead of KONSOLE
       
    WARNING: Redfish API POST requests using a browser extension or plugin will fail if the extension manipulates the 
    HTTP(S) Origin header. This affects REST clients which are implemented as browser (chrome, Firefox) plugins or extensions 
    such as the older versions of Postman. It is recommended to use Postman version 6.0 or later.For security purposes, the 
    BMC Redfish API requires that if a HTTP Origin header is present, the host portion of the Origin header must match the 
    HTTP Host header. Some browser based REST clients alter the Origin header preventing their use with the BMC.


    Steps to recover a failing Operating System:

    Linux variants (one of the below):
        A. Ensure the "modprobe.blacklist=ast" parameter is set in your boot loader (grub) 
        B. Ensure you are using a kernel version V4.10 or newer
		For Red Hat* Enterprise Linux* v7.3, please refer to the included "RHEL73_InstallationGuide_Rev1.00.pdf"
		For SUSE* Linux* Enterprise Server v12 SP1 or SP2, please refer to the included "SLES12_InstallationGuide_Rev1.00.pdf"

    Windows variants:
        Boot to safe mode, and load aspeed video driver v1.03 or greater and reboot
		For Windows* Server 2016, please refer to the included "WinSrv16_InstallationGuide_Rev1.00.pdf"
		
    Redfish API:
        Redfish API POST requests using a browser extension or plugin will fail if the
        extension manipulates the HTTP(S) Origin header. This affects REST clients which
        are implemented as browser (chrome, Firefox) plugins or extensions such as the
        older versions of Postman. It is recommended to use Postman version 6.0 or later.

        For security purposes, the BMC Redfish API requires that if a HTTP Origin header
        is present, the host portion of the Origin header must match the HTTP Host header.
        Some browser based REST clients alter the Origin header preventing their use with
        the BMC.

===============================================================================
                                DEFECTS SOLVED
===============================================================================
===============================================================================
v1.90.0cf6e935 - (Release version)
===============================================================================
    1506985125 - BMC slow response and EWS can't login during DC/reset cycle test.
    1507018625 - Fan 6 Present show unknown from EWS and disabled from ipmitool sensor list.
    1306124875 - [S2600BP and S2600ST] BMC EWS can not login.
    1504691171 - [S2600BP LCR]BIOS/System Management Software controller time are not synchronous with BMC time in EWS event log
    1506999387 - DNS setting can't be changed
    1606903509 - FRUSDR update via EWS failing on one system with AIC cards for BMC 1.88a (1.88.2d047b47)
    2103624411 - [S2600ST_OOB BIOS Configuration] BIOS Variable Value cannot be changed Via EWS OOB BIOS configuration
    2206618701 - login to EWS and observe the Configuration->SDR Configuration the Processed Tags Copyright (c) 2018 messages should be 2019
    2202811235 - [S2600BP] [Q4] BMC reports PSU AC input lost and later regained
    2103624862 - VLAN channel shows "Unknow" when login EWS with operator privilege.
    1506761317 - [S2600BP LCR]Sel log appear Power Unit Failure detected - Power supply failure detected - Asserted during AC cycles.
    1506956417 - FRB2 WDT handling on BMC FW(1): BMC does not respond to FRB2 mailbox bit in time.
    1506983635 - [S2600BP LCR]SUT can't auto power on during the DC cycling and  it cannot auto power on in the next cycle.
    1606876077 - FRB2 WDT handling on BMC FW (2): Disabled FRB2 WDT when received GPIO from BIOS.
    2103625010 - Connect the "PWRGD_PVDDQ_CPU0_ABC_R"  or "PWRGD_PVDDQ_CPU1_ABC_R" signal to the ground, it could not generate the 1-5-1-2 beep code
    2206474697 - S2600WF SUT,  with DDR4s in a 1DPC mirror, configuration, injecting a mirror failover, causes an incorrect DDR4 slot indication in the SEL log.
    2103624841 - Spell error in keyboard Macro when KVM over HTML5 in EWS.
    1506132909 - [S2600BP LCR]BB CPU1 VR Temp /BB CPU2 VR Temp sensors show no reading when run AC cycles and can't recovery within 300s
    1506132916 - [S2600BP LCR]Mem 1VRD Tem/Mem 2 VRD Temp sensors  show no reading when run AC cycles and can't recovery within 300s
    1506769587 - PS1 Curr Out %/PS2 Curr Out %/PS1 Temperature/PS2 Temperature/PS1 Input Power/PS2 Input Power no reading during  AC test and can't recovery within 300s.
    2206474488 - [BMC CTF]  BootFlagCmds BootSetOptions Buffer Overflow on the heap
    2206474502 - [BMC CTF]   memory corruption in Redfish parse URL
    2206474881 - [BMC CTF] Hidden NM configurations can be added that are not visible from WebUI list
    2103624450 - The login screen of EWS page shown abnormal with OEM customized image
    2103624715 - No warning message displayed after opening 5th EWS sessions.
    2103624749 - No warning message displayed after opening 5th EWS session.
    2206192060 - [PS - Scandium] Debuglog command fails with PS Script 2.09
===============================================================================
v1.74.ee39402a - (Release version)
===============================================================================
    1506764699 - OEM Get reading command isn't workable
    2205369358 - [S2600BP] Exit Air Temp SEL events seen during OS Install and AC Cycling
    1209275701 - PCIe register access from host can be remapped to any base address into BMC address space.
    2202523214 - SPS FW Command Filtering
    2205369288 - [S2600BP] OpenIPMI driver fails to detect BMC on startup
    1506759784 - [redfish]UpdateMe Error with biospack 0D010125
    2205425827 - Baseboard FRU information missing with Redfish Schema
    1506749803 - [iKVM over HTML5]Up and Down key can control HTML5 iKVM session menu and BIOS setup menu in the same time
    2103623408 - [S2600WF] The threshold info will disappear after change sensor owner.
    2205369358 - [S2600BP] Exit Air Temp SEL events seen during OS Install and AC Cycling
    1506755754 - [OOB BIOS Configuration]the actual value is different with the value you click to change after do change value steps
    1506745023 - [iKVM over HTML5]Virtual media will be terminated when refresh the session of Virtual Media over HTML5 by press "F5"
    2205467333 - [S2600WF]Control BMC Services command sometimes cannot disable BMC Services
    2103623431 - [S2600WF] The button of Launch KVM over HTML5 not gray out when use operator user.
    2103623444 - [S2600WF] PSU redundancy lost event not showing after remove power supply cable
    2103623437 - [S2600BT] PSU redundancy lost event Not showed after remove power supply cable
    1506731715 - [OOB BIOS Configuration]Some variable show in EWS BIOS configuration but can’t map it in BIOS setup menu.
    2204837267 - Redfish ComputerSystem node has invalid field
    1506745202 - [iKVM over HTML5]When changed the language from English to Chinese, there always some English characters in the session
    1209275701 - PCIe register access from host can be remapped to any base address into BMC address space.
    2202523214 - SPS FW Command Filtering
    2205369288 - [S2600BP][Q2] OpenIPMI driver fails to detect BMC on startup
    2205425827 - Baseboard FRU information missing with Redfish Schema
    2103623352 - S2600BP: Use BMC_1.71 or 1.72 and S2600BPS mainboard, after updating the FruSdr_1.37, some sensors in EWS shows "unavailable" or incorrect reading
    1506132921 - [S2600BP LCR]NVME 1 Therm Mgn sensor  show no reading when run AC/DC cycles and can't recovery within 300s
    1506745145 - [iKVM over HTML5]It will show "SecurityResult Failed(Retry after 30 sec or iKVM reset)" if we launch the 5th ikvm session
    2007464975 - [S2600ST] IPMI command to get fan speed not working on CPU fans
    2205369288 - [S2600BP][Q2] OpenIPMI driver fails to detect BMC on startup
    2103623344 - [S2600BT] EWS help page show 404 about Virtual Media over HTML5
    2205425827 - Baseboard FRU information missing with Redfish Schema
    1506731715 - [OOB BIOS Configuration]Some variable show in EWS BIOS configuration but can’t map it in BIOS setup menu.
    1506659800 - [HTML5 KVM] No error or warning message displayed when 5th HTML5 KVM is opened, but the session is blank.
    1506109146 - CCB1964(PSME 2.2 support in BMC 1.57) doesn't align with PSME restful API specification
    1506129772 - Q3'18 #CCB2447 [Intel Xeon Scalable BMC]HTML5 support
    1506659800 - [HTML5 KVM] No error or warning message displayed when 5th HTML5 KVM is opened, but the session is blank.
    1506706272 - [S2600BT]Access still be denied after unmounted USB disk from rKVM
    1506733454 - [S2600WF]Seneor report PWR Unit Redundancy lost with FCT SDR
    1506733968 - [redfish]URL spelling error ,bios settings
    1506745202 - [iKVM over HTML5]When changed the language from English to Chinese, there always some English characters in the session
    1606376899 - [HTML5 KVM] 'Options' and 'User List' menu are always greyed out in the HTML5 KVM
    1606376909 - [HTML5 KVM] 'Defined Macros' option disabled in Keyboard Macro menu, hence the user added keyboard macros in EWS->Configuration page also not getting reflected.
    1606376917 - [HTML5 Virtual Media] Java Virtual media supports 4 devices whereas HTML5 Virtual media supports only 3
    1606652628 - FRUSDR update via EWS fails with BMC 1.71
    2103623223 - [S2600BT] No "start" and "completed" in FW update event description
    2103623248 - The warning messages of "restore system defaults" doesn't match test case.
    2103623309 - [S2600BT] SDR parse failed after press "Parse" button in EWS SDR configuration page.
    2103623322 - On-Line Update the firmware (such as BMC or ME), the event log does not show the "update process" clearly
    2103623344 - [S2600BT] EWS help page show 404 about Virtual Media over HTML5
    2205425824 - Unable to enable SSH using Redfish Schema
    2204837759 - Redfish DMTF schema does not have a Bios/Settings XML field
    1504742896 - Q3'18 #CCB2202[BMC]Need log to track user/IP logins to BMC
    2202470727 - [S2600WF] PSOC on rear HSBP becoming corrupted
    2103623271 - Use Windows Client PC, mount a USB Flash then un-mount it later, the USB Flash could not be accessed on the Client PC

===============================================================================
v1.60.56383bef - (Release version)
===============================================================================
    1407264248 - [S2600BP] BMC is not reporting redundancy lost by clearing STATUS_INPUT flags from PSU
    1506122908 - [S2600WF]The AIC Product Name information returned is replaced by part MAC address of the third cards when the connected AIC Cards are greater than two.
    1506123447 - BMC User and Network setting will change to default after online update BMC to 1.59.ba077703&AC cycle
    1505567118 - [S2600BT]SSL/TLS use of weak RC4 cipher
    1505573379 - [S2600BT]Birthday attacks against TLS ciphers with 64bit block size vulnerability (Sweet32)
    1506114971 - [S2600ST] Chinese characters are not displayed properly in Event Log page while login Web in Chinese
    1506118999 - Q2'18 #CCB2434 [Intel Xeon Scalable BMC]Implement 0xD5 return code when user requests power on and system is already on
    1506119149 - Completion code for OEM get sensor reading(platform power consumption) isn't right when no ADM chipset is available.
    1506123447 - BMC User and Network setting will change to default after online update BMC to 1.59.ba077703&AC cycle
    2103620859 - [S2600BT] Media will be unmounted after boot into OS
    2103621752 - [S2600WF] Media will be unmounted after boot into OS
    2103622022 - [S2600BT] Event log page can't be read via IE browser
    2103622102 - [S2600WF] The Event Log shown abnormally on EWS after pressed NMI Button.
    2103622115 - EWS: Use firefox browser to check the system event log, all the information is unreadable code unless clearing the browser cache
    2103622127 - EWS: There is a unreadable character in the system event log
    2103622137 - EWS: When set the language to Chinese, the event log information show unreadable characters
    2103622142 - EWS: It could not establish the session to EWS after setting the https port to customized value
    2103622186 - [S2600BT] BMC can't stuck in Safe mode after execute 4 times BMC watchdog
    2103622241 - [S2600BT] HTTPS Port can't login from other values after HTTPS Port modify 8443
    2203123584 - Remote ipmitool chassis power off returns error when chassis is already off.
    2203745825 - [KVM/VM] Virtual Media redirection fails installing OS and console spews SSL errors
    1504766995 - [S2600BP LCR]Sensors are not correctly display in one cycle when run AC/DC cycle test
    2103622260 - [S2600BT] Enable Remote Debug function command response incorrect via BMC Shared LAN IP
    1506118927 - Q2'18 #CCB2427  [Intel Xeon Scalable BMC]Increase KVM timeout to 1+ minutes
    2103614048 - EWS User Enable is blank
    2103621847 - [S2600BT] EWS some information will be abnormal via IE browser
    2103621983 - [S2600ST] There is no display information for DIMM and FRU in system information while login Web by using IE
    2103622082 - [S2600WF] Event log page can't be read via IE browser
    2103622113 - IE: After updating the BMC_1.58.eafa53ef, it could not show the system event log in EWS
    2202696827 - BMC EWS GUI SEL Fails to Finish Loading
    2203669681 - BMC Web console fails to show FRU and Memory information after update to SUP x0135
    1506077858 - [S2600BP LCR]Event log “Sensor failure—HSBP temp -- Asserted” during AC/DC/linpack test
    1504651008 - Sometimes system will generate an abnormal event log about “Sensor failure—HSBP temp -- Asserted” and status LED show green blinking
    220857900 - [S2600BP] 17 of 3456 nodes  ( 9 of 864 system) failed EST for intermittent BMC FW Health unable to read HSBP Temp sensor
    2103620331 - [S2600BT]profile can't be shifted by the riser number
    1505815184 - RKVM can't launch if we have setup port forward from external IP address to internal address
    2103622022 - [S2600BT] Event log page can't be read via IE browser
    2103621764 - [S2600BT] Network configuration will be abnormal on EWS after stress VLAN ID test
    2103621770 - [S2600WF] Network configuration page can't worked on EWS after stress VLAN ID test
    2202676945 - Get Security Version Information returns 00 00, hence no way to know the security revision of the firmware.
    2202770366 - ReadSelfTest command response not as expected and the command missing in EPS
    2202843495 - [KVM/VM] Java pegs the CPUs on Linux when kvm/virtual media loses connection to the BMC
    2203284099 - [KVM] - The TLS ciphers used by KVM (port 5902) and USB (port 627) allow weak encryption algorithms and ciphers
    2103621726 - [VMviewer] The History will shown duplicate messages after mount image files via VMViewer.
    2103621885 - EWS: Use IE browser, it could show the baseboard serial number string
    2202676945 - Get Security Version Information returns 00 00, hence no way to know the security revision of the firmware.
    2202696827 - BMC EWS GUI SEL Fails to Finish Loading
    2202731630 - [EWS] Lower privilege user (operator, user) can update session timeout for all users
    2203103848 - [Redfish] Account Service with user privilege leaks user information
    1504745080 - [S2600BP LCR]PS1/PS2 Input Power/Curr Out %/Temperature sensors show no reading or disabled and need unplug/plug nodes to recovery during AC cycling
    2202314699 - RSD 2.2 -TPM setting by PSME via POST command is not implemented yet
    1504716901 - It takes more than 10 second to get MTT CPU1/2 sensor
    2103621780 - The name of menu bar is incorrect on KVM
    2202485388 - Redfish - Discrepancy in PATCH body for  BootSourceOverride Action
    2202039060 - MSM PS script 1.13. issue with "debuglog" command
    2103620859 - [S2600BT] Media will be unmounted after boot into OS
    2103621667 - [S2600BT] The login screen of EWS page shown abnormal with OEM customized image
    2103621528 - [S2600BT] The login screen of EWS page shown abnormal
    2103620331 - [S2600BT]profile can't be shifted by the riser number
    1504707042 - Q1'18 #CCB2201[Intel Xeon Scalable BMC]Need OpenLDAP support in BMC
    1504765942 - Setting IPv4 Network is abnormal via EWS
    2103621229 - [S2600WF] The Alerts Destination configuration can't save on EWS when SUT no install OCP card.
    2103621677 - [S2600BT] Setting IPv4 Network is abnormal via EWS
    2103621719 - [S2600BT] Alert Mail delivery failed via EWS settings
    2202534178 - [redfish] several properties are missing from /redfish/v1/Managers/BMC/EthernetInterfaces/1
    1504749848 - Q2'18 #CCB2257 Q2'18 [Intel Xeon Scalable]Add OEM command to provide global reset capability for Syscfg(Graceful shutdown, then automatically power on after powering off)
    2103621462 - [S2600BT] The SEL description is incorrect when trigger the FPGA CATERR.
    2103621525 - Failed in setting up SNMP alert destination with IPv6 address in the SUT's EWS
    2103621597 - [S2600BT] The SEL doesn't "Power off/down" event logged after DC Cycle.
    2103621603 - [S2600WF] User 1(Anonymous) can't be modify in EWS users page.
    2202039060 - MSM PS script 1.13. issue with "debuglog" command
    2202534178 - [redfish] several properties are missing from /redfish/v1/Managers/BMC/EthernetInterfaces/1
    2103621661 - [S2600BT] There are no thermal trip/IERR deasserted events logged on SEL
    2103621582 - [S2600WF] The sensor type of SMI timeout is not match with EPS 1.12
    2202525692 - [redfish] AssetTag is missing from Systems/{ID}
    1504743210 - EWS will auto login out after click "Clear Event log", and event log can't be cleared by EWS
    2103621502 - [S2600BT] EWS will be forced to logout when click Clear Event Log.
    2103621528 - [S2600BT] The login screen of EWS page shown abnormal
    2202565737 - BMC SEL Incorrectly Reports DIMM Slot with Failed DIMM in CPU2 Slot C1
    2006708660 - BB P1- P2 VR Temp issue during AC Cycling
    2103621270 - Unusual thermal critical events in JBOD BMC log during QRC (AC/DC/Warm reboot) cycling test
    2103621381 - [S2600BT] There are two OEM Sensors in EWS sensor type category
    2103621464 - [S2600BT] EWS will be forced to logout when use Operator and User privilege
    2201838395 - Redfish - Unable to set BootOverrideTarget to Pxe when the BootOverrideMode is UEFI.
    2202420277 - DIMM Enumeration in BMC GUI SEL Display for ECC Entry is 0-based
    2202468321 - KVM window can not be closed by clicking "trash can" symbol in the Web console
    2006679703 - Redfish:  ResetCycle command fails to send graceful restart.
    1504720141 - Fan values differ substantially before and after cold reset of the BMC under performance mode
    1504731495 - flash BMC will occur 'Error Finish BMC update transfer failed.' when online update BMC 1.48.da6db8b3 to BMC 1.48.da6db8b3
    220891332 - S2600WF BMC GUI Fails to display P4600 NVMe information
    1504707051 - Q1'18 #CCB2118 [Q1'18 Intel Xeon Scalable BMC] Need to support NVMe 1.2 VPD to correctly identify Cliffdate, Fultdondate and future drives
    1504711379 - [S2600BP LCR]HSBP_PSOC sensor shows no reading when run reboot test.(recovered later automatically)
    1504720124 - [S2600BP]BMC release-notes doesn't contain the new type PSU(PSSF222201A  04A)
    2006710682 - Chassis ID LED needs to be pressed twice to turn off when turned on in EWS
    1504706586 - [FTF]Get DIMM offset command returned unexpected completion code 0x01 during FSC AutoProfileFunc.tcl test
    1504707060 - Q1'18 #CCB1954 [Intel Xeon Scalable BMC] Remote debug over PECI
    1504718239 - Customize EWS image update failed
    2103620599 - EWS: Occasionally it shows "Exist an effective connect from others" or "Media has been unmounted from others" while mount or unmount the virtual device
    1504473313 - [FTF]Fan Boost value do not reach expected value  during running FSC BAT_FSC_Functional_004.tcl test
    1504696854 - Redfish URL redfish/v1/Managers/BMC/NICs NOT align with Redfish Spec
    1504696869 - Redfish API GET redfish/v1/Managers/BMC/ response should contain ServiceEntryPointUUID element
    1504699916 - 2130W PSU predictive failure on S2600BP from across customers and across sites
    1504706039 - Redfish API unable to read system network interfaces
    1504707049 - Q1'18 #CCB2140 [Intel Xeon Scalable BMC]Get CPU temperature displayed in degree Celsius after executing an “ipmitool sensor”
    2006709919 - IPMI OEM type record cannot use 0x20 on generator ID field
    2103620363 - The ME sensor should not be define in SDR 1.41 file.
    2103620840 - BMC debug console shows abnormal messages about "PcieSwitch_sensors_thread".
    2103620851 - [S2600BT] Failed to update configuration of NM by EWS.
    2201981916 - BMC firmware Update to 1.47.e54761ed clears the BMC LAN Settings
    1604603941 - [FTF]It will report a failure “Unable to program SDR record#52” during SDR and FSC FTF test.
    2103617028 - [S2600WF]Description in HELP page isn't corresponding to the actual EWS page
    2103620512 - [S2600BT] The Power Control shows incorrect in the KVM menu bar
    2103620737 - [S2600BT] The being setting NM policy of memory cannot delete by EWS
    2103619818 - [S2600BT] NM configuration Couldn't display the memory power policy in the EWS
    1504627444 - #CCB2006: [Cloned CCB 2003] [CLX-WFFR]ERROR_N[1,0] connection request to BMC
    1604595437 - Several Redfish GET commands return errors
    2006689963 - VR-Watchdog - Voltage Fault issues running DC_Cycling
    2006709004 - [S2600BT] Wrong date in event logs with WW51 BKC
    2103617840 - [S2600BT] The time stamp in sellog is incorrect after offline flash BIOS , BMC , set clear CMOS jumper and remove battery.
    2103619526 - It generates some incorrect event logs in the AC cycle stress test
    2103619725 - The sensor reading of "System Airflow" sensor in slave node show 0 CFM.
    2103619818 - [S2600BT] NM configuration Couldn't display the memory power policy in the EWS
    2103619846 - [S2600WF] The VFP LED cannot be changed via SM signal command under MTM 1 or 2 mode.
    2201187649 - S2600WF LNET Router BMC sometimes reports Voltage Fault State - Asserted/Deasserted events during DC and OS cycling

===============================================================================
v1.43.91f76955 - (Point Release for JAVA certificate expiring)
===============================================================================
		1504745080 - [S2600BP]PS1/PS2 Input Power/Curr Out %/Temperature sensors show no reading or disabled and need unplug/plug nodes to recovery during AC cycling
    1505482466 - Point release to unblock customer line down due to Java certificate expiring. 

===============================================================================
v1.43.660a4315 - (Release version)
===============================================================================
		1504699916 - 2130W PSU predictive failure on S2600BP from across customers and across sites

===============================================================================
                                    CHANGES
===============================================================================
===============================================================================
v1.90.0cf6e935 - (Release version)
===============================================================================
    Add RMCP+ Cipher Suite3 Configuration in ews security configuration page. Cipher Suite 3 is disabled by default with this patch in the commit messge.
	
===============================================================================
v1.74.ee39402a - (Release version)
===============================================================================  
    Update 750W DPS-750AB32A PSU fw image from 27 to 33.
    CCB2247: Q3'18 [Intel Xeon Scalable BMC]HTML5 support
    CCB2202: Q3'18 [BMC]Need log to track user/IP logins to BMC
    Q3'18 #CCB2496 provide robust method to indicate the Factory BMC and Webpost BMC at Factory BFT
    BIOS OOB updating feature.
    implement Pcie Switch Firmware update function for WRG JBOF2.
    EWS support for CCB2357.
       [CCB2357]: Provide capability to bond LAN interface for LAN failover and define which BMC channel will be primary.
    Upgrade kernel to 4.9.111.
    [CCB2357-phase 4]Provide capability to bond LAN interface for LAN failover and define which BMC channel will be primary.
     Redfish support of FW updating.

===============================================================================
v1.60.56383bef - (Release version)
===============================================================================
     Add new FW for HW rev S3 of 1100w PSU.
     [CCB 2434i]: Implement 0xD5 return code when user requests power on and system is already on
     [CCB2267] Provide interface to list MAC address of PCIe NIC card.
     Align Intel Xeon Scalable OEM Misc sub commands with Grantley
     Put TPM command under MTM2.
    Upgrade kernel from 4.9.79 to 4.9.98.
    CCB2201: Adding the OpenLDAP support with version 2.4.45
    Add the FW of 1600W 185mm PSU.
    [CCB 2257] add OEM command to gracefully power cycle the machine.
    Add factory build configuration.
    The new FW for 1300w PSU(Rev 0x17).
    Adds security enhancements
    Fixes RAF1000JSP CFM calculation with master node off
    CCB2166: Limits access to I2C Write commands with a special MTM Operator mode
    Adds security enhancements
    Enables Remote JTAG on S2600BT
    Redfish: Updates XML Metadata to version 2017.3
    Adds security enhancements
    Adds capability to get the number of CPU Error logs generated since last boot
    CCB2118: Adds support for new FRU VPD format in NVMe MI 1.2 drives
    Updates RAF1000JSP SDR
    Redfish: Implements OEM features for the Computer System schema
    Redfish: Adds ProcessorMetrics and MemoryMetrics data
    CCB2140: Adds sensor for absolute CPU temperature to S2600WF and S2600WFPFR
    Adds Remote Debug sensor support for WFFR
    Updates to kernel patch 4.9.78
    Adds remote JTAG authentication
    Adds security enhancements
    CCB1954: Adds PECI remote debug support
    Adds a second debug type for CPU logs
    CCB2140: Adds sensor for absolute CPU temperature to S2600BT, S2600BP, S2600ST, and S2600BP SFP+
    Adds security enhancements
    Upgrades to Linux Kernel 4.9
    Redfish: Enables RSD extension IPMI commands
    Updates PSSF222201A revision S4 firmware to 20180117 version
    Updates RAF1000JSP SDR for spreadsheet 0.95
    Increments BMC global security revision
    Redfish: Fixes Computer System PowerState reporting
    Adds Remote Debug sensor support for S2600BT
    Adds security enhancements
    Redfish: Includes NVMe Critical Warning data into Redfish drive health
    Adds SSD's Fault and rebuild status of PCIE Switch feature
    Updates voltage sensor config for RAF1000JSP
    Redfish: Updates XML to version 2017.2 (2 October 2017)
    Fixes timestamp issue for RAF1000JSP
    Restores factory defaults if an image is copied from another board
    Redfish: Implements the EthernetInterfaces for the BaseBoard NIC
    Fixes shared fan will not arise speed during BMC update for RAF1000JSP
    CCB2006: Adds WFFR BMC sensor and handler for CPU ERROR_N[0]
    Redfish: Implements remaining specified drive elements
    Redfish: Fixes Reset and Boot operations
    Updates SDR for RAF1000JSP
    Redfish: Improves Drive Schema to correctly report HSBP and slot
    Redfish: Implements HDD IndicatorLED status for Redfish

===============================================================================
v1.43.91f76955 - (Release version)
===============================================================================
    CCB2183: Changes immediate power off to power button override instead of PCH command
    Adds Fan Fault LED support for RAF1000JSP
    Adds support for UART break over SOL
    Adds option to print date/time timestamp on BMC serial logs
    Fixes an I2C master-slave switch bug
    Enables Redfish access for RAF1000JSP
    Removes ME SDR entry for RAF1000JSP


